<?php
//
// +----------------------------------------------------------------------+
// | Copyright (c) 2005 Jason LeBaron - jason@networkdad.com              |
// |                                                                      |
// +----------------------------------------------------------------------+
// | This source file is subject to version 2.0 of the GPL license,       |
// | that is bundled with this package in the file LICENSE, and is        |
// | available through the world-wide-web at the following url:           |
// | http://www.gnu.org/licenses/gpl.txt.                                 |
// +----------------------------------------------------------------------+
// | Module created by Jason LeBaron                                      |
// | Released under GPL                                                   |
// +----------------------------------------------------------------------+
// $Id: class.psigate.php 2 2005-09-07 05:30:00Z networkdad $


	// Build Info to send to Gateway
	require_once('class.psigate_xml.php');

    $psi = new PsiGatePayment;

	// Not all fields below are required.  Consult manual for specifics.
	// Ask merchant for the Production URL, StoreID and Passphrase sent to them within their Welcome Email
	// Set URL or use  for testing
    $psi->setGatewayURL('https://dev.psigate.com:7989/Messenger/XMLMessenger'); 
	$psi->setStoreID('teststore');
	$psi->setPassPhrase(psigate1234); // Assures authenticity
	$psi->setOrderID('123456'); // Order ID.  Leave blank to have PSiGate assign
	$psi->setPaymentType('CC');
	$psi->setCardAction('1'); // 1 for Authorize, 0 for Immediate Charge
	$psi->setTaxTotal1('1.00'); // Tax value 1, ex Sales Tax
	$psi->setTaxTotal2('2.00'); // Tax value 2, ex VAT
	$psi->setTaxTotal3('3.00'); // Tax value 3, ex GST
	$psi->setTaxTotal4('4.00'); // Tax value 4, ex PST
	$psi->setTaxTotal5('5.00'); // Tax value 5
	$psi->setShiptotal('10.00'); // shipping
	$psi->setSubTotal('5.99'); // Amount
	$psi->setCardNumber('4111111111111111'); // Card Number
	$psi->setCardExpMonth('01'); // Month in 2-digit format
	$psi->setCardExpYear('15'); // Year in 2-digit format
	$psi->setUserID('590'); // Unique customer identifier set by merchant.
	$psi->setBname('John Doe'); // Billing Name
	$psi->setBcompany('Johns Store'); // Company Name
	$psi->setBaddress1('123 Any Street'); // Billing Address 1
	$psi->setBaddress2('Suite A'); // Billing Address 2
	$psi->setBcity('Battle Ground'); // Billing City
	$psi->setBprovince('WA'); // Billing state or province
	$psi->setBpostalCode('98604'); // Billing Zip
	$psi->setBcountry('US'); // Country Code - 2 alpha characters
	$psi->setSname('John Doe'); // Shipping Name
	$psi->setScompany('Johns Store'); // Shipping Company
	$psi->setSaddress1('123 Any Street'); // Shipping Address 1
	$psi->setSaddress2('Suite C'); // Shipping Address 2
	$psi->setScity('Battle Ground'); // Shipping City
	$psi->setSprovince('WA'); // Shipping state or province
	$psi->setSpostalCode('98604'); // Shipping Zip
	$psi->setScountry('US'); // Shipping country
	$psi->setPhone('555-555-1212'); // Customer Phone
	$psi->setEmail('email@domain.com'); // Customer Email
	$psi->setComments('Order from Test store');  // comments, whatever you'd like
	$psi->setCustomerIP('192.168.0.1'); // Customer IP address, for fraud
	$psi->setCardIDCode('1'); //
	$psi->setCardIDNumber('063'); //
	$psi->setCardXID('BQABA2ERERI0VnjwEgAAAAAAAAA='); //
	$psi->setCardCavv('QUJDRURGMDEyMzQ1Njc4OTBBQkM='); //
	$psi->setCardECI('05'); //

//  $psi->setTestResult('A'); // Test result if you'd like to pass one.  See xml guide for more details

	// Send transaction data to the gateway
    $psi_xml_error = (!($psi->doPayment() == PSIGATE_TRANSACTION_OK));

	// What was the transaction result?  Echo to page.

	if ($psi_xml_error == PSIGATE_TRANSACTION_OK) {
		echo "Transaction successfull.  Response code: " . $psi->getTrxnReturnCode();
		} else {
		echo "Transaction error or declined.  Error Message: " . $psi->getTrxnErrMsg();		
		}
?>