<%
'
' +----------------------------------------------------------------------+
' | Copyright (c) 2005 Vincent Gibara - vgibara@cwm.ca                   |
' | Version 1.1 - 11/22/2005                                             |
' +----------------------------------------------------------------------+
' | This source file is subject to version 2.0 of the GPL license,			 |
' | that is bundled with this package in the file LICENSE, and is        |
' | available through the world-wide-web at the following url:           |
' | http://www.gnu.org/licenses/gpl.txt.                                 |
' +----------------------------------------------------------------------+
' | This code is inspired from the php class from Jason LeBaron -        |
' | jason@networkdad.com																							   |
' +----------------------------------------------------------------------+
' | Released under GPL                                                   |
' +----------------------------------------------------------------------+
' $Id: class.psigate.asp 2 22/11/2005 13:40:44Z cwm $

' Include class file
%><!--#include file="class.psigate_xml.asp"--><%

' Build Info to send to Gateway
Dim psi
Set psi = New PsiGatePayment

' Not all fields below are required.  Consult manual for specifics.
psi.setGatewayURL = "https://dev.psigate.com:7989/Messenger/XMLMessenger" ' Developpement server
'psi.setGatewayURL = "https://secure.psigate.com:7934/Messenger/XMLMessenger" ' Production server
psi.setStoreID = "teststore"
psi.setPassPhrase = "psigate1234" ' Assures authenticity
'psi.setOrderID = "123456" ' Order ID.  Leave blank to have PSiGate assign
psi.setPaymentType = "CC"
psi.setCardAction = "1" ' 1 for Authorize, 0 for Immediate Charge
psi.setTaxTotal1 = "1.00" ' Tax value 1, ex Sales Tax
psi.setTaxTotal2 = "2.00" ' Tax value 2, ex VAT
psi.setTaxTotal3 = "3.00" ' Tax value 3, ex GST
psi.setTaxTotal4 = "4.00" ' Tax value 4, ex PST
psi.setTaxTotal5 = "5.00" ' Tax value 5
psi.setShiptotal = "10.00" ' shipping

psi.setSubTotal = "5.99" ' Amount
' ----- OR ------
psi.addItem "123456", "Item 1", "2", "5.99" ' Adding items. This will override SubTotal. See xml guide for more details.
'Add Items in this format: Product Id, Product Description, Quantity, Price

psi.setCardNumber = "4111111111111111" ' Card Number
psi.setCardExpMonth = "01" ' Month in 2-digit format
psi.setCardExpYear = "09" ' Year in 2-digit format
psi.setUserID = "590" ' Unique customer identifier set by merchant.
psi.setBname = "John Doe" ' Billing Name
psi.setBcompany = "Johns Store" ' Company Name
psi.setBaddress1 = "123 Any Street" ' Billing Address 1
psi.setBaddress2 = "Suite A" ' Billing Address 2
psi.setBcity = "Battle Ground" ' Billing City
psi.setBprovince = "WA" ' Billing state or province
psi.setBpostalCode = "98604" ' Billing Zip
psi.setBcountry = "US" ' Country Code - 2 alpha characters
psi.setSname = "John Doe" ' Shipping Name
psi.setScompany = "Johns Store" ' Shipping Company
psi.setSaddress1 = "123 Any Street" ' Shipping Address 1
psi.setSaddress2 = "Suite C" ' Shipping Address 2
psi.setScity = "Battle Ground" ' Shipping City
psi.setSprovince = "WA" ' Shipping state or province
psi.setSpostalCode = "98604" ' Shipping Zip
psi.setScountry = "US" ' Shipping country
psi.setPhone = "555-555-1212" ' Customer Phone
psi.setEmail = "email@domain.com" ' Customer Email
psi.setComments = "Order from Test store"  ' comments, whatever you'd like
psi.setCustomerIP = Request.ServerVariables("REMOTE_ADDR") ' Customer IP address, for fraud
psi.setCardIDCode = "1" ' Pass CVV code
psi.setCardIDNumber = "063" '
psi.setCardXID = "BQABA2ERERI0VnjwEgAAAAAAAAA=" '
psi.setCardCavv = "QUJDRURGMDEyMzQ1Njc4OTBBQkM=" '
psi.setCardECI = "05" '

' psi.setTestResult = "A" ' Test result if you'd like to pass one.  See xml guide for more details

' Send transaction data to the gateway
Dim psi_xml_error
psi_xml_error = psi.doPayment()

' What was the transaction result?  Echo to page.

If psi_xml_error = PSIGATE_TRANSACTION_OK Then
	Response.Write "Transaction successfull.  Response code: " & psi.getTrxnReturnCode()
Else
	Response.Write "Transaction error or declined.  Error Message: " & psi.getTrxnErrMsg()
End If

Set psi = Nothing
%>